﻿// <copyright file="SearchViewPresentationModel.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Shell.Views
{
    #region Using Statements
    using GoalBook.Shell.Commands;
    using Microsoft.Practices.Composite.Presentation.Commands;
    using GoalBook.Infrastructure;
    #endregion

    /// <summary>
    /// TasksView PresentationModel. For databinding.
    /// </summary>
    public class SearchViewPresentationModel
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Initializes a new instance of the TasksViewPresentationModel class.
        /// </summary>
        public SearchViewPresentationModel()
        {
        }
        #endregion

        #region Properties  
        /// <summary>
        /// Reference to Composite SearchCommand.
        /// </summary>
        public CompositeCommand SearchCommand
        {
            get { return GlobalCommands.SearchCommand; }
        }  
        
        /// <summary>
        /// Reference to Composite ClearCommand.
        /// </summary>
        public CompositeCommand ClearCommand
        {
            get { return GlobalCommands.ClearCommand; }
        }
        #endregion

        #region Base Class Overrides
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
