﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System.ComponentModel;
using GoalBook.Infrastructure.Events;
#endregion

namespace GoalBook.Infrastructure.Interfaces
{
    public interface IErrorInfoDialogView
    {
        /// <summary>
        /// ErrorInfoChanged event.
        /// </summary>
        event ErrorInfoChangedEventHandler ErrorInfoChanged; 
       
        /// <summary>
        /// Raise ErrorInfo Changed event.
        /// </summary>        
        void RaiseErrorInfoChanged(IDataErrorInfo info);
    }
}
