﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using Microsoft.Practices.Composite.Presentation.Commands;
#endregion

namespace GoalBook.Infrastructure
{
    public class MenuInfo
    {
        /// <summary>
        /// Gets or sets the MenuCommand. 
        /// </summary>
        public CommandInfo MenuCommandInfo { get; set; }

        /// <summary>
        /// Gets or sets the MenuDelegateCommand. 
        /// </summary>
        public DelegateCommand<CommandInfo> MenuDelegateCommand { get; set; }

        
        //TODO: Add ChildMenuInfo property (so Shell can create nested menu items).
        //Include Property IsParent ?? so shell doesn't create command for parent items.
    }
}
