﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using Microsoft.Practices.Composite.Presentation.Commands;
#endregion

namespace GoalBook.Shell.Misc
{
    public interface IGlobalCommandsProxy
    {
        CompositeCommand PrintCommand { get; }
        CompositeCommand UndoCommand { get; }
        CompositeCommand DeleteCommand { get; }
        CompositeCommand SearchCommand { get; }
        CompositeCommand ClearCommand { get; }        
    }
}
